﻿@using System.Web.UI.WebControls;
@model Portal.Models.PriceConfirmationApprovalByPC.PriceConfirmationApprovalByPC
<table>
    <tr>
        <td style="height: 25px; padding-right: 4px;" nowrap="nowrap">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PC No";
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
        <td style="padding-right: 10px;">
            @Html.DevExpress().TextBox(
                e =>
                {
                    e.Name = "PCNO";
                    e.Width = Unit.Pixel(145);
                    e.Enabled = false;
                    e.Text = Model.PCNo;
                    
                }).GetHtml()
            @Html.DevExpress().TextBox(
                e =>
                {
                    e.Name = "txtPCNO";
                    e.Width = Unit.Pixel(145);
                    e.ClientVisible = false;
                    e.Text = Model.PCNo;
                }).GetHtml()
        </td>
        <td style="padding-right: 4px;" nowrap="nowrap">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PC Date";
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
        <td style="padding-right: 10px;">
            @Html.DevExpress().TextBox(
                b =>
                {
                    b.Name = "PCDate1";

                    b.Width = Unit.Pixel(75);
                    b.Properties.MaxLength = 10;
                    b.Properties.Size = 10;
                    b.Enabled = false;

                    if (b.Enabled == false)
                    {

                        b.Properties.MaxLength = 10;
                        b.Properties.Size = 10;
                    }
                    else
                    {

                    }
                    b.Text = (Model.PCDate != null) ? Model.PCDate.ToString("dd.MM.yyyy") : "";
                }).GetHtml()
        </td>
        <td style="padding-right: 4px;" nowrap="nowrap">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier Name";
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
        <td style="padding-right: 10px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "SupplierName";

                    edtSettings.Width = Unit.Pixel(200);
                    edtSettings.Enabled = false;

                    edtSettings.Text = Model.SupplierName;
                }).GetHtml()
        </td>
        <td style="padding-right: 4px;" nowrap="nowrap">
            @Html.DevExpress().Label(
                    edtSettings =>
                    {
                        edtSettings.ControlStyle.CssClass = "label";
                        edtSettings.Text = "Effective Date";
                        edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
        </td>
        <td style="padding-right: 10px;">
            @Html.DevExpress().TextBox(
                b =>
                {
                    b.Name = "EffectiveDate1";
                    b.Width = 100;
                    b.Properties.MaxLength = 10;
                    b.Properties.Size = 10;
                    b.Width = Unit.Pixel(75);
                    b.Enabled = false;

                    if (b.Enabled == false)
                    {
                        b.Properties.MaxLength = 10;
                        b.Properties.Size = 10;
                    }
                    else
                    {

                    }
                    b.Text = (Model.EffectiveDate != null) ? Model.EffectiveDate.ToString("dd.MM.yyyy") : "";
                }).GetHtml()
        </td>
        <td style="padding-right: 4px;" nowrap="nowrap">
            @Html.DevExpress().Label(
                    edtSettings =>
                    {
                        edtSettings.ControlStyle.CssClass = "label";
                        edtSettings.Text = "Status";
                        edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "StatusPC";
                    edtSettings.Width = 100;
                    edtSettings.Width = Unit.Pixel(125);
                    edtSettings.Text = Model.Status;
                    edtSettings.Enabled = false;
                }).GetHtml()
        </td>
    </tr>
   
</table>
